Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class KohonenLearning

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.nnet.learning.KohonenLearning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class KohonenLearning

extends LearningRule

Learning algorithm for Kohonen network.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`KohonenLearning(Kohonen nnet)`

Method Summary
`java.lang.Integer` | `getIteration()`
`double` | `getLearningRate()`
`int` | `getMapSize()`
`void` | `learn(TrainingSet trainingSet)` Override this method to implement specific learning procedures
`void` | `setIterations(int Iphase, int IIphase)`
`void` | `setLearningRate(double learningRate)`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KohonenLearning

    public KohonenLearning(Kohonen nnet)

Method Detail

### learn

    public void learn(TrainingSet trainingSet)

  Description copied from class: `LearningRule`
  Override this method to implement specific learning procedures

  Specified by:
    `learn` in class `LearningRule`
  Parameters:
    `trainingSet` - training set

### getLearningRate

    public double getLearningRate()

### setLearningRate

    public void setLearningRate(double learningRate)

### setIterations

    public void setIterations(int Iphase,
                              int IIphase)

### getIteration

    public java.lang.Integer getIteration()

### getMapSize

    public int getMapSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD